---
title: "Connecticut Payday Laws & Wage Payment Requirements (2026 Legal Audit)"
source_url: "https://statepayrules.com/payday-laws/connecticut/"
canonical_url: "https://statepayrules.com/payday-laws/connecticut/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Complete statutory guide to Connecticut payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under C.G.S. § 31-58."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payday-laws/connecticut/](https://statepayrules.com/payday-laws/connecticut/)
>
> *Complete statutory guide to Connecticut payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under C.G.S. § 31-58.*

### Managing payroll or shift workers in Connecticut?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## Payday Frequency Mandates in Connecticut

In Connecticut, employers must establish regular, predictable paydays for all non-exempt hourly employees. Under C.G.S. § 31-58, pay frequency cannot be unilaterally changed or delayed without prior notice.

### Standard Pay Frequencies

Weekly, Bi-weekly, or Semi-monthly pay schedules are standard for hourly workers.

### Paystub Disclosure Requirements

Must list gross wages, itemized deductions, net pay, hours worked, and hourly rates.

## Final Paycheck Deadlines & Waiting Time Penalties

When an employment relationship ends in Connecticut, state law governs when final wages (including earned vacation/PTO where applicable) must be paid:

- ✓ **Involuntary Termination (Discharged / Fired):** Employer must deliver all earned wages promptly per state statutory deadlines.
- ✓ **Voluntary Resignation (Quit):** Final paycheck is generally due on the next regular payday or within statutory notice windows.
- ⚠️ **Late Pay Penalties:** Failure to pay final wages on time exposes employers to statutory waiting time penalties and interest under C.G.S. § 31-58.

| Termination Type | Statutory Paycheck Deadline | Statute Reference |
| :--- | :--- | :--- |
| Involuntary (Fired/Laid Off) | Immediate or next business day | C.G.S. § 31-58 |
| Voluntary (Resigned/Quit) | Next regular payday | C.G.S. § 31-58 |

## Common Connecticut Payday Compliance Traps

- Improper tip credit claims in non-restaurant industries.
- Failing to provide mandatory 30-minute meal break after 2 hours of work.
- Misclassifying computer employees.

### Help Connecticut Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

### Statutory Summary

Connecticut statutory minimum wage is $15.69/hr. Overtime is paid at 1.5x regular rate for hours worked over 40 per workweek.

### Audit Your Connecticut Paystub

Calculate overtime, daily premiums, and regular rates for Connecticut.

## Audit Your Connecticut Paystub Under CT State Law

Over $3 Billion in unpaid overtime & statutory wage violations go uncollected every year. Audit your 2026 Connecticut daily overtime, FLSA 40-hour rates, tip credits, and meal break penalties in seconds.

### Statutory Compliance Internal Mesh

#### Connecticut Statutory Guides

- [Connecticut Payday Laws →](https://statepayrules.com/payday-laws/connecticut)
- [Connecticut Meal & Rest Breaks →](https://statepayrules.com/break-laws/connecticut)
- [Connecticut Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/connecticut)
- [Connecticut Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/connecticut)

#### Compare Connecticut Pay Rules

- [Connecticut vs New York →](https://statepayrules.com/calculator/compare/connecticut-vs-new-york)
- [Connecticut vs Massachusetts →](https://statepayrules.com/calculator/compare/connecticut-vs-massachusetts)
- [Connecticut vs Rhode Island →](https://statepayrules.com/calculator/compare/connecticut-vs-rhode-island)

#### Connecticut Profession Tools

- [Connecticut Registered Nurse →](https://statepayrules.com/calculator/connecticut/registered-nurse)
- [Connecticut Fast Food & Counter Worker →](https://statepayrules.com/calculator/connecticut/fast-food-worker)
- [Connecticut Construction Laborer →](https://statepayrules.com/calculator/connecticut/construction-laborer)
- [Connecticut Electrician →](https://statepayrules.com/calculator/connecticut/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in Connecticut for 2026?** The 2026 statutory minimum wage in Connecticut is $16.35 per hour under C.G.S. § 31-58.
- **Does Connecticut require daily overtime pay?** Connecticut does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in Connecticut allowed to take a tip credit?** Yes, Connecticut allows employers to take a maximum tip credit of $9.31/hr against tipped workers, requiring a minimum direct cash wage of $16.35/hr.
- **How often must employers pay employees in Connecticut?** Under C.G.S. § 31-58, employers in Connecticut must pay non-exempt hourly employees on regular scheduled paydays (typically weekly, bi-weekly, or semi-monthly).
- **When must final paychecks be paid upon termination in Connecticut?** In Connecticut, final wages for discharged employees must be delivered promptly per state labor statutes (C.G.S. § 31-58) to avoid statutory waiting time penalties.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payday-laws/connecticut/](https://statepayrules.com/payday-laws/connecticut/).
